| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ITHistSvc Class Reference

`#include <ITHistSvc.h>`

Inheritance diagram for ITHistSvc:

[legend]
Collaboration diagram for ITHistSvc:

[legend]
List of all members.

## Detailed Description

Definition at line 19 of file ITHistSvc.h.

## Public Member Functions
virtual StatusCode | regHist (const std::string &name)=0
virtual StatusCode | regHist (const std::string &name, TH1 *)=0
virtual StatusCode | regHist (const std::string &name, TH2 *)=0
virtual StatusCode | regHist (const std::string &name, TH3 *)=0
virtual StatusCode | getHist (const std::string &name, TH1 *&) const =0
virtual StatusCode | getHist (const std::string &name, TH2 *&) const =0
virtual StatusCode | getHist (const std::string &name, TH3 *&) const =0
virtual StatusCode | regTree (const std::string &name)=0
virtual StatusCode | regTree (const std::string &name, TTree *)=0
virtual StatusCode | getTree (const std::string &name, TTree *&) const =0
virtual StatusCode | deReg (const std::string &name)=0
virtual StatusCode | deReg (TObject *obj)=0
virtual std::vector< std::string > | getHists () const=0
virtual std::vector< std::string > | getTrees () const=0
virtual StatusCode | getTHists (TDirectory *td, TList &) const =0
virtual StatusCode | getTHists (const std::string &name, TList &) const =0
virtual StatusCode | getTTrees (TDirectory *td, TList &) const =0
virtual StatusCode | getTTrees (const std::string &name, TList &) const =0
virtual StatusCode | regGraph (const std::string &name)=0
virtual StatusCode | regGraph (const std::string &name, TGraph *)=0
virtual StatusCode | getGraph (const std::string &name, TGraph *&) const =0
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

const InterfaceID & ITHistSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IService.

Definition at line 60 of file ITHistSvc.h.

Referenced by THistSvc::queryInterface().

    00060                        {
    00061
    00062   static const InterfaceID m_IID("THistSvc", 1, 0);
    00063
    00064   return m_IID;
    00065 }

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name | ) | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH1 * |  |
| ) |  |  | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH2 * |  |
| ) |  |  | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regHist | ( | const std::string & | name,
|  | TH3 * |  |
| ) |  |  | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH1 *& |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH2 *& |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getHist | ( | const std::string & | name,
|  | TH3 *& |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regTree | ( | const std::string & | name | ) | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regTree | ( | const std::string & | name,
|  | TTree * |  |
| ) |  |  | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getTree | ( | const std::string & | name,
|  | TTree *& |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::deReg | ( | const std::string & | name | ) | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::deReg | ( | TObject * | obj | ) | `[pure virtual]`

Implemented in THistSvc.

virtual std::vector<std::string> ITHistSvc::getHists | ( |  | ) | const`[pure virtual]`

Implemented in THistSvc.

virtual std::vector<std::string> ITHistSvc::getTrees | ( |  | ) | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getTHists | ( | TDirectory * | td,
|  | TList & |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getTHists | ( | const std::string & | name,
|  | TList & |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getTTrees | ( | TDirectory * | td,
|  | TList & |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getTTrees | ( | const std::string & | name,
|  | TList & |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regGraph | ( | const std::string & | name | ) | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::regGraph | ( | const std::string & | name,
|  | TGraph * |  |
| ) |  |  | `[pure virtual]`

Implemented in THistSvc.

virtual StatusCode ITHistSvc::getGraph | ( | const std::string & | name,
|  | TGraph *& |  |
| ) |  |  | const`[pure virtual]`

Implemented in THistSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ITHistSvc.h